Groovy Documentation

## org.codehaus.groovy.grails.plugins
[Groovy] Class PluginInfo

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.plugins.PluginInfo

    class PluginInfo
    extends groovy.lang.GroovyObjectSupport

Used mainly by the build system that encapsulates access to information about the underlying plugin by delegating to the methods in GrailsPluginUtils.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`java.lang.Object` | `metadata`
`java.lang.String` | `name`
`PluginBuildSettings` | `pluginBuildSettings`
`Resource` | `pluginDir`
`java.lang.String` | `version`

Constructor Summary
`PluginInfo(Resource pluginXml, java.lang.Object pluginBuildSettings)`

Method Summary
`Resource` | `getDescriptor()` Returns the location of the descriptor
`java.lang.String` | `getFullName()`
`java.lang.String` | `getName()` Returns the plugin's name.
`Resource` | `getPluginDirectory()` Obtains the plugins directory.
`java.util.Map` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.String` | `getVersion()` Returns the plugin's version.
`groovy.util.slurpersupport.GPathResult` | `parseMetadata(Resource pluginXml)`

Methods inherited from class groovy.lang.GroovyObjectSupport

groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### metadata

    java.lang.Object metadata

### name

    java.lang.String name

### pluginBuildSettings

    PluginBuildSettings pluginBuildSettings

### pluginDir

    Resource pluginDir

### version

    java.lang.String version

Constructor Detail

### PluginInfo

    PluginInfo(Resource pluginXml, java.lang.Object pluginBuildSettings)

Method Detail

### getDescriptor

    Resource getDescriptor()

  Returns the location of the descriptor

### getFullName

    java.lang.String getFullName()

### getName

    java.lang.String getName()

  Returns the plugin's name.

### getPluginDirectory

    Resource getPluginDirectory()

  Obtains the plugins directory.

### getProperties

    java.util.Map getProperties()

### getProperty

    java.lang.Object getProperty(java.lang.String name)

### getVersion

    java.lang.String getVersion()

  Returns the plugin's version.

### parseMetadata

    groovy.util.slurpersupport.GPathResult parseMetadata(Resource pluginXml)

Groovy Documentation